# ContentPeerPicker QML Type

Component that allows users to select a source/destination for content transfer. More...

Import Statement: | import Lomiri.Content 1.1

- List of all members, including inherited members

## Properties

- contentType : ContentType
- customerPeerModelLoader : Loader
- handler : ContentHandler
- headerText : string
- peer : ContentPeer
- showTitle : bool

## Signals

- cancelPressed()
- peerSelected()

## Detailed Description

This component displays a list of applications, devices and services which are appropriate for transferring a given content type with.

## Property Documentation

contentType : ContentType

The ContentType to use when finding peers.

customerPeerModelLoader : Loader

A Loader containing a ContentPeerModel.

This can optionally be used to provide a pre-populated ContentPeerModel to this ContentPeerPicker.

handler : ContentHandler

The ContentHandler to use when finding peers.

headerText : string

Text to display in the header.

peer : ContentPeer

The peer selected by the user.

Once the peerSelected signal has been sent, this provides the ContentPeer which the user has selected.

showTitle : bool

Determines whether the header should be displayed.

This makes it possible to hide the header, which can be useful if embedding the picker within another page or popup.

## Signal Documentation

cancelPressed()

Emitted when the user clicks the cancel button.

The ContentPeerPicker will be hidden automatically when the user cancels the operations and the active ContentTransfer will be set to Aborted. `onCancelPressed`

Note: The corresponding handler is `onCancelPressed`.

peerSelected()

Emitted when a user selects a peer.

Once this signal has been emitted the selected peer can be accessed via the peer property. `onPeerSelected`

Note: The corresponding handler is `onPeerSelected`.